<section class="waze-info">
  <div class="modal-header">
    <ul class="flow-step p-0">
      <li class="cursor-pointer"
          (click)="setActivePage(1)"
          [ngClass]="{active: activePage === 1}"></li>
      <li class="cursor-pointer"
          (click)="setActivePage(2)"
          [ngClass]="{active: activePage === 2}"></li>
      <li class="cursor-pointer"
          (click)="setActivePage(3)"
          [ngClass]="{active: activePage === 3}"></li>
      <li class="cursor-pointer"
          (click)="setActivePage(4)"
          [ngClass]="{active: activePage === 4}"></li>
      <li class="cursor-pointer"
          (click)="setActivePage(5)"
          [ngClass]="{active: activePage === 5}"></li>
    </ul>
  </div>
  <div class="modal-body pb-3 px-2">
    <div class="container">
      <div *ngTemplateOutlet="page"></div>
    </div>
  </div>
  <div class="modal-footer">
    <button class="toggle-skip btn me-auto cursor-pointer"
            (click)="closeModal()">Lewati</button>
    <button class="toggle-prev btn"
            [disabled]="activePage === 1"
            (click)="setActivePage(activePage - 1)">Sebelumnya</button>
    <button class="toggle-next btn"
            *ngIf="activePage !== 5"
            (click)="setActivePage(activePage + 1)">Selanjutnya</button>
    <button class="toggle-next btn"
            *ngIf="activePage === 5"
            (click)="toggleDone()">Selesai</button>
  </div>
</section>

<ng-template #page>
  <div [ngClass]="{'d-none': activePage !== 1}">
    <div class="title fw-bold mb-4">Peringatan Jalan dan Lalu Lintas</div>
    <strong>Tentang Data Kondisi Lalu Lintas Waze di Satu Peta Jabar</strong>
    <p class="mt-3">
      Waze merupakan aplikasi lalu lintas dan navigasi berbasis komunitas yang dapat digunakan melalui perangkat
      telepon genggam maupun PC yang didukung dengan GPS. Pada aplikasi Waze para pengguna saling terhubung untuk
      menyempurnakan pengalaman berkendara satu sama lain.
    </p>
    <p class="mt-3">
      Satu Peta Jabar menggunakan data Waze untuk divisualisasikan ke dalam peta wilayah Jawa Barat secara realtime
      meliputi informasi kepadatan lalu lintas, laporan kecelakaan lalu lintas, laporan jalan berlubang, dan laporan
      banjir yang dilaporkan secara langsung oleh pengguna Waze yang berkendara di jalanan Jawa Barat
    </p>
    <strong>Bagaimana saya mendapatkan row data Waze yang ada di Satu Peta Jabar?</strong>

    <p class="mt-3">Nantikan akses data terbuka kondisi lalu lintas Waze di
      <a href="https://opendata.jabarprov.go.id/id"
         class="fw-bold"
         target="_blank">Open Data Jabar</a>
    </p>
    <img src="assets/img/coming-soon-od-waze.svg"
         alt="Coming Soon Open Data Waze"
         width="100%">
  </div>
  <div [ngClass]="{'d-none': activePage !== 2}">
    <div class="title fw-bold mb-4">Kepadatan Lalu Lintas</div>
    <p class="mt-3">Data Kepadatan Lalu Lintas menampilkan informasi mengenai kepadatan lalu lintas yang terjadi
      dijalanan Jawa Barat pada suatu waktu. Data divisualisasikan dalam bentuk line/garis pada peta. Pada Satu Peta
      Jabar data kepadatan lalu lintas ditampilkan dalam 2 kondisi, diantaranya:
    </p>
    <ul>
      <li><strong class="font-italic">Realtime</strong>: menampilkan data 5 menit terakhir</li>
      <li><strong>Seminggu Terakhir</strong>: menampilkan data agregat dalam kurung waktu 1 minggu penuh terakhir.
      </li>
    </ul>
    <img src="assets/img/waze-jam-example.svg"
         alt="Waze Jam"
         width="100%">
  </div>
  <div [ngClass]="{'d-none': activePage !== 3}">
    <div class="title fw-bold mb-4">Laporan Kecelakaan Lalu Lintas</div>
    <p class="mt-3">Laporan Kecelakaan Lalu Lintas menampilkan mengenai informasi kecelakaan yang terjadi di jalanan
      Jawa Barat pada suatu waktu. Laporan diberikan langsung oleh pengguna aplikasi Waze sebagai kontributor. Data
      divisualisasikan dalam bentuk point/titik. Pada Satu Peta Jabar Data Laporan Kecelakaan Lalu Lintas ditampilkan
      dalam rentang waktu 5 jam terakhir.
    </p>
    <img src="assets/img/waze-crash-example.svg"
         alt="Waze Alert Crash"
         width="100%">
  </div>
  <div [ngClass]="{'d-none': activePage !== 4}">
    <div class="title fw-bold mb-4">Laporan Jalan Berlubang</div>
    <p class="mt-3">Laporan Jalan Berlubang menampilkan mengenai informasi jalanan berlubang yang ada di jalanan Jawa
      Barat pada suatu waktu. Laporan diberikan langsung oleh pengguna Waze sebagai kontributor. Data divisualisasikan
      dalam bentuk point/titik. Pada Satu Peta Jabar Data Laporan Jalan Berlubang ditampilkan dalam rentang waktu 1
      minggu terakhir.
    </p>
    <img src="assets/img/waze-pothole-example.svg"
         alt="Waze Alert Pothole"
         width="100%">


  </div>
  <div [ngClass]="{'d-none': activePage !== 5}">
    <div class="title fw-bold mb-4">Laporan Banjir</div>
    <p class="mt-3">Laporan Banjir menampilkan mengenai informasi genangan air yang terjadi jalanan Jawa Barat pada
      suatu waktu. Laporan diberikan langsung oleh pengguna aplikasi Waze sebagai kontributor. Data divisualisasikan
      dalam bentuk point/titik. Pada Satu Peta Jabar Data Laporan Banjir ditampilkan dalam rentang waktu 10 jam
      terakhir.
    </p>
    <img src="assets/img/waze-flood-example.svg"
         alt="Waze Alert Flood"
         width="100%">
    <div class="custom-control custom-checkbox position-absolute"
         style="bottom: 10px;">
      <input class="custom-control-input"
             type="checkbox"
             id="isAgree"
             [(ngModel)]="isAgree">
      <label class="custom-control-label"
             for="isAgree">Saya mengerti, jangan tampilkan informasi ini lagi</label>
    </div>


  </div>
</ng-template>